#ifndef __ABAC_CONTEXT_H__
#define __ABAC_CONTEXT_H__

#include <stdio.h>
#include "abac_defines.h"
#include "abac_list.h"

/* export */
extern abac_id_credential_t *abac_context_id_creds(abac_context_t *ctxt);
extern abac_credential_t *abac_context_attr_creds(abac_context_t *ctxt);
extern char *abac_context_namespace(abac_context_t *ctxt);
extern abac_id_credential_t *abac_context_id_credential_lookup(abac_context_t *,char *);
extern abac_credential_t *abac_context_credential_lookup(abac_context_t *, char*);

extern void abac_print_clauses(abac_list_t *clauses, FILE *fp);
extern void abac_context_dump(abac_context_t *ctxt);



#endif /* __ABAC_CONTEXT_H__ */
